package migration

import (
	"embed"
	"io/fs"

	"github.com/golang-migrate/migrate/v4/source"
	"github.com/golang-migrate/migrate/v4/source/iofs"
)

//go:embed scripts/*
var embeddedScripts embed.FS

func initSource() source.Driver {
	// Wrap the embed.FS in an iofs driver
	sub, err := fs.Sub(embeddedScripts, "scripts")
	if err != nil {
		panic(err)
	}

	driver, err := iofs.New(sub, ".")
	if err != nil {
		panic(err)
	}

	return driver
}

var Source = initSource()
