// Code generated by go-swagger; DO NOT EDIT.

package user_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// UserPasswordSetNoContentCode is the HTTP code returned for type UserPasswordSetNoContent
const UserPasswordSetNoContentCode int = 204

/*UserPasswordSetNoContent The password was successfully set

swagger:response userPasswordSetNoContent
*/
type UserPasswordSetNoContent struct {
}

// NewUserPasswordSetNoContent creates UserPasswordSetNoContent with default headers values
func NewUserPasswordSetNoContent() *UserPasswordSetNoContent {

	return &UserPasswordSetNoContent{}
}

// WriteResponse to the client
func (o *UserPasswordSetNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(204)
}

// UserPasswordSetUnauthorizedCode is the HTTP code returned for type UserPasswordSetUnauthorized
const UserPasswordSetUnauthorizedCode int = 401

/*UserPasswordSetUnauthorized Unauthorized

swagger:response userPasswordSetUnauthorized
*/
type UserPasswordSetUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserPasswordSetUnauthorized creates UserPasswordSetUnauthorized with default headers values
func NewUserPasswordSetUnauthorized() *UserPasswordSetUnauthorized {

	return &UserPasswordSetUnauthorized{}
}

// WithPayload adds the payload to the user password set unauthorized response
func (o *UserPasswordSetUnauthorized) WithPayload(payload *models.Error) *UserPasswordSetUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user password set unauthorized response
func (o *UserPasswordSetUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserPasswordSetUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// UserPasswordSetNotFoundCode is the HTTP code returned for type UserPasswordSetNotFound
const UserPasswordSetNotFoundCode int = 404

/*UserPasswordSetNotFound the user does not exist

swagger:response userPasswordSetNotFound
*/
type UserPasswordSetNotFound struct {
}

// NewUserPasswordSetNotFound creates UserPasswordSetNotFound with default headers values
func NewUserPasswordSetNotFound() *UserPasswordSetNotFound {

	return &UserPasswordSetNotFound{}
}

// WriteResponse to the client
func (o *UserPasswordSetNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(404)
}

/*UserPasswordSetDefault generic error response

swagger:response userPasswordSetDefault
*/
type UserPasswordSetDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserPasswordSetDefault creates UserPasswordSetDefault with default headers values
func NewUserPasswordSetDefault(code int) *UserPasswordSetDefault {
	if code <= 0 {
		code = 500
	}

	return &UserPasswordSetDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user password set default response
func (o *UserPasswordSetDefault) WithStatusCode(code int) *UserPasswordSetDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user password set default response
func (o *UserPasswordSetDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user password set default response
func (o *UserPasswordSetDefault) WithPayload(payload *models.Error) *UserPasswordSetDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user password set default response
func (o *UserPasswordSetDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserPasswordSetDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
